﻿local L = LibStub("AceLocale-3.0"):GetLocale("SmexyMats");
local SmexyMats = SmexyMats;

SmexyMats.options = {
	name = "SmexyMats Options",
	type = 'group',
	args = {	
		Enabled = {
			type = "toggle",
			name = "Enable SmexyMats",
			desc = "Enables/Disables SmexyMats.",
			width = "full",
			get = function(info) return SmexyMats.db.profile.Enabled; end,
			set = function(info, v) SmexyMats.db.profile.Enabled = v; end,
			order = 1
		},
		Contents = {
			type = "toggle",
			name = "Enable Expansion Notation",
			desc = "Displays which expansion item is from in the tooltip",
			width = "full",
			get = function(info) return SmexyMats.db.profile.Contents; end,
			set = function(info, v) SmexyMats.db.profile.Contents = v; end,
			order = 2
		},
		Sources = {
			type = "toggle",
			name = "Enable Source(s) Notation",
			desc = "Displays the crafting reagent source(s) in the tooltip",
			width = "full",
			get = function(info) return SmexyMats.db.profile.Sources; end,
			set = function(info, v) SmexyMats.db.profile.Sources = v; end,
			order = 3
		},
		Professions = {
			type = "toggle",
			name = "Enable Profession(s) Notation",
			desc = "Displays professions for which the crafting reagent can be used in the tooltip",
			width = "full",
			get = function(info) return SmexyMats.db.profile.Professions; end,
			set = function(info, v) SmexyMats.db.profile.Professions = v; end,
			order = 4
		},
		ItemIDs = {
			type = "toggle",
			name = "Enable Item IDs",
			desc = "Displays Item ID in the tooltip.",
			width = "full",
			get = function(info) return SmexyMats.db.profile.ItemIDs; end,
			set = function(info, v) SmexyMats.db.profile.ItemIDs = v; end,
			order = 6
		},
		ErrorReporting = {
			type = "toggle",
			name = "Report errors to chat window",
			desc = "Report errors to chat window",
			width = "full",
			get = function(info) return SmexyMats.db.profile.ErrorReporting; end,
			set = function(info, v) SmexyMats.db.profile.ErrorReporting = v; end,
			order = 8
		},
		Section2 = {
			type = "header",
			name = "Synopsis",
			order = 9,
		},
		Synopsis = {
			type = "description",
			name = "Tooltip notation addon.\r\n\r\n" .. 
					"Mouse over an item in your invetory, auction house, dungeon journal or click on a licked item.\r\n" .. 
					"Crafting Reagents:\r\n" ..
					"    Show source types.(Drop, Vendor, etc)\r\n" ..
					"    Show professions that can use the reagent.\r\n" .. 
					"    Show what Expansion its from.\r\n" .. 
					"Equipment:\r\n" .. 
					"    Show what Expansion its from.\r\n" .. 
					"ItemID:\r\n" .. 
					"    Show the item ID for that item.\r\n" .. 
					"\r\n" .. 
					"More coming soon, I'm always updating... Enjoy!",
			fontSize = "medium",
			order = 10,
		},
		Section3 = {
			type = "header",
			name = "Commands",
			order = 11,
		},
		CMDs = {
			type = "description",
			name = "/sm : Brings up this window.",
			fontSize = "medium",
			order = 12,
		},
		Section4 = {
			type = "header",
			name = "Author",
			order = 13,
		},
		About = {
			type = "description",
			name = SmexyMats.Colors.wowtoken .. "BattleTag: Lunixia#1530\r\n" ..
					"|rCheck out my other addons:\r\n" ..
					"|cFFFF8000SmexyScaleUI(SSUI)\r\n" .. 
					"|cFFFF8000SmexyGMO(SGMO)",
			fontSize = "medium",
			order = 14,
		},
	},
};